FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Development

 
 
LinkBack Thread Tools
 
Old 01-19-2010, 06:31 PM
Fabian Greffrath
 
Default GPL-licensed software linked against libssl on buildds!

Hi,

it seems that some buildds occasionally have libssl-dev installed in
their chroot. A friend of mine has found out that the netatalk package
depends on libssl0.9.8 [sparc] in sid and [hppa, mipsel] in squeeze.
Other architectures are not affected. For GPL-licensed software like
netatalk this is IMHO to be considered a license violation and thus RC!

If you have a look at the build logs on e.g. sparc, you will see that
indeed the configure script detects an OpenSSL installation and builds
the package against it:
<https://buildd.debian.org/fetch.cgi?pkg=netatalk;ver=2.0.5-2;arch=sparc;stamp=1259628740>

This doesn't happen on other archs:
<https://buildd.debian.org/pkg.cgi?pkg=netatalk>

I guess the buildds for the affected archs need their chroots cleaned up
and netatalk needs bin-NMUs scheduled, right?

Cheers,
Fabian



--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 

Thread Tools




All times are GMT. The time now is 11:34 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org